Name:           lynis
Version:        1.2.6
Release:        3%{?dist}
Summary:        Security and system auditing tool
Group:          Applications/System
License:        GPLv3
URL:            http://www.rootkit.nl/projects/lynis.html
Source0:        http://www.rootkit.nl/files/lynis-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       e2fsprogs, module-init-tools, audit

%description
Lynis is a security and system auditing tool. It scans a system on the
most interesting parts useful for audits, like:
     - Security enhancements
     - Logging and auditing options
     - Banner identification
     - Software availability

Lynis is released as a GPL licensed project and free for everyone to use.

See http://www.rootkit.nl for a full description and documentation.

%prep
%setup -q

%build
# Empty build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/%{name}
# profile
install -m 644 -p default.prf $RPM_BUILD_ROOT/%{_sysconfdir}/%{name}

mkdir -p $RPM_BUILD_ROOT/%{_bindir}
install -p lynis $RPM_BUILD_ROOT/%{_bindir}

mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man8
install -m 644 -p lynis.8 $RPM_BUILD_ROOT/%{_mandir}/man8

mkdir -p  $RPM_BUILD_ROOT%{_datadir}/%{name}/include/
install -p include/* $RPM_BUILD_ROOT%{_datadir}/%{name}/include/

mkdir -p  $RPM_BUILD_ROOT%{_datadir}/%{name}/plugins/
install -m 644 -p plugins/* $RPM_BUILD_ROOT%{_datadir}/%{name}/plugins/

mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/db/
install -m 644 -p db/* $RPM_BUILD_ROOT%{_datadir}/%{name}/db/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGELOG FAQ LICENSE README
%{_mandir}/man8/lynis.8.gz
%{_bindir}/lynis
%{_datadir}/%{name}
%dir %{_sysconfdir}/%{name}
# profile
%config(noreplace) %{_sysconfdir}/%{name}/default.prf

%changelog
* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 08 2009 Rakesh Pandit <rakesh@fedoraproject.org> - 1.2.6-2
- fixed requires tag

* Sun Apr 12 2009 Rakesh Pandit <rakesh@fedoraporject.org> - 1.2.6-1
- Updated to 1.2.6: CHANHELOG for details

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Nov 07 2008 Rakesh Pandit <rakesh@fedoraproject.org> - 1.2.1-3
- cleaned %%files

* Fri Nov 07 2008 Rakesh Pandit <rakesh@fedoraproject.org> - 1.2.1-2
- macros consistency - fixed hard code path

* Fri Oct 31 2008 Rakesh Pandit <rakesh@fedoraproject.org> - 1.2.1-1
- Initial package
